having trouble opening RPM package - installing ATI driver

I am having trouble installing ATI drivers for my Radeon 9200 on linspire.

http://www.ati.com/support/drivers/linux/radeon-linux.html?type=linux&prodType=graphic&prod=productsLINUXdriver&submit.x=12&submit.y=12&submit=GO%21

http://www.ati.com/support/infobase/linuxhowto-ati.html
//installation instructions

rpm -Uh --force fglrx-4.3.0-3.14.6.i386.rpm
//after this command i get 2 error messages

error: cannot open Packages index using db3 - No such file or directory (2)
error: cannot open Packages database in /var/lib/rpm

http://www.knoppix.net/forum/viewtopic.php?t=14717
//This guy also had a similar problem

Thanks
fd
FD777Asked:
Who is Participating?
I wear a lot of hats...

"The solutions and answers provided on Experts Exchange have been extremely helpful to me over the last few years. I wear a lot of hats - Developer, Database Administrator, Help Desk, etc., so I know a lot of things but not a lot about one thing. Experts Exchange gives me answers from people who do know a lot about one thing, in a easy to use platform." -Todd S.

wesly_chenCommented:
Hi,

   Linspire doen't not support RPM, it uses DEB.

   However, you can install a program called "Alien" to convert most RPMs into DEBs
so you can install them with DPKG.
http://www.linspire.com/lindows_products_details.php?id=320

After you install alien, then do
# alien -d fglrx-4.3.0-3.14.i386.rpm  <== rpm may vary
# dpkg -i --force-overwrite fglrx_4.3.0-4.14_i386.deb   <===deb may vary

Regards,

Wesly
0
wesly_chenCommented:
By the way, the URL you post already to suggest you to compile with tarball instead of RPM:
----------------
wget http://kanotix.com/files/install-radeon-debian.sh 
chmod +x install-radeon-debian.sh
su
./install-radeon-debian.sh
------------

Wesly
0
FD777Author Commented:
hi there,

I do not have access to lispire cnr.

Alien."This is a tool only suitable for binary packages." I didn't really get this but i doubt that the ati package is just a binary package.no clue why i am saying this just an instinct.

I downloaded the install-radeon-debian.sh and gonna give that a try.Hopefully it will work. I was a little scared that it might messup my OS as this is not an official ati driver. If this doesn't work plz help me out with alien installation

thnx
fd
0
Ultimate Tool Kit for Technology Solution Provider

Broken down into practical pointers and step-by-step instructions, the IT Service Excellence Tool Kit delivers expert advice for technology solution providers. Get your free copy now.

wesly_chenCommented:
> Alien."This is a tool only suitable for binary packages." I didn't really get this but i doubt that the ati package is
> just a binary package.
rpm is binary package for.
src.rpm is the source package.

Wesly
0
FD777Author Commented:
./install-radeon-debian.sh
//this command gave the following error

error: can't be be run within x! Use a text console. Alt-Ctrl-F1.

Alt-Ctrl-F1 doesn't work in linspire. If you know the command or know the  way i can directly start linspire in text console plz let me know.

thnx
fd
0
wesly_chenCommented:
Hi,
   Could you change the line in /etc/inittab
id:5:initdefault:     ===> id:3:initdefault:
And reboot. It will boot into text mode.
After driver successful installation, change back to "id:5:initdefault:"

Wesly


0
FD777Author Commented:
The original value was id:2:initdefault: I tried id:3:initdefault:
but it didn't work.

0
wesly_chenCommented:
Oops, Linspire don't have text mode.
Please change to single user mode " id:1:initdefault:"

Besides, I found the vedio compatibility list of Linspire as follow:
http://www.linspire.com/linspire_hardware_compatibility.php?category_id=4
It seems like Radeon is not in the list.

Wesly
0
wesly_chenCommented:
What Linspire version do you use?
-----
To view what version number your Linspire is currently running: Open the CNR client by clicking on the round green button with a man running in the task bar in the lower left hand area of your desktop. Once the CNR program is running, pull down the "Help" menu and select the "About..." option. Here you will find a version number for Linspire and another version number for the CNR client.
-----
Version: 4.5.602 (Date: 11.19.2004)
support ATI driver up to 3.10.
http://www.linspire.com/lindows_products_updates.php?info=iso

Wesly
0
FD777Author Commented:
I think i am using version 4.5.499.

https://forum.linspire.com/forum/showflat.php?Cat=&Number=49292
This has all instructions on how to install ati drivers. but as u said i need to install alien.

i don't have access to cnr so i downloaded the alien tarball and gonna try installing it. hopefully linspire supports pearl.if not i am doomed.

thnx
0
gtkfreakCommented:
To install any RPMs or DEBs, you must be logged in as root
0
FD777Author Commented:
I am logged in as root.
0
wesly_chenCommented:
Hi,

Here is the old version of alien
http://www.paulcull.org/los/files/alien_6.54.deb
Then run
dpkg -i alien_6.54.deb
to install it.

Here is a "Linspire resources and hints" URL:
http://www.paulcull.org/los/en/resources.htm

I hope this help.

Wesly
0

Experts Exchange Solution brought to you by

Your issues matter to us.

Facing a tech roadblock? Get the help and guidance you need from experienced professionals who care. Ask your question anytime, anywhere, with no hassle.

Start your 7-day free trial
It's more than this solution.Get answers and train to solve all your tech problems - anytime, anywhere.Try it for free Edge Out The Competitionfor your dream job with proven skills and certifications.Get started today Stand Outas the employee with proven skills.Start learning today for free Move Your Career Forwardwith certification training in the latest technologies.Start your trial today
Linux

From novice to tech pro — start learning today.

Question has a verified solution.

Are you are experiencing a similar issue? Get a personalized answer when you ask a related question.

Have a better answer? Share it in a comment.